Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport.lastchange
Class AVTransportVariable.RecordStorageMedium

    java.lang.Object
      org.teleal.cling.support.lastchange.EventedValue<E>
          org.teleal.cling.support.lastchange.EventedValueEnum<StorageMedium>
              org.teleal.cling.support.avtransport.lastchange.AVTransportVariable.RecordStorageMedium

Enclosing class:
  AVTransportVariable

    public static class AVTransportVariable.RecordStorageMedium

extends EventedValueEnum<StorageMedium>

Field Summary

Fields inherited from class org.teleal.cling.support.lastchange.EventedValue
`value`

Constructor Summary
`AVTransportVariable.RecordStorageMedium(Map.Entry<String,String>[] attributes)`
`AVTransportVariable.RecordStorageMedium(StorageMedium storageMedium)`

Method Summary
`protected StorageMedium` | `enumValueOf(String s)`

Methods inherited from class org.teleal.cling.support.lastchange.EventedValueEnum
`getDatatype, toString, valueOf`

Methods inherited from class org.teleal.cling.support.lastchange.EventedValue
`getAttributes, getName, getValue, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AVTransportVariable.RecordStorageMedium

    public AVTransportVariable.RecordStorageMedium(StorageMedium storageMedium)

### AVTransportVariable.RecordStorageMedium

    public AVTransportVariable.RecordStorageMedium(Map.Entry<String,String>[] attributes)

Method Detail

### enumValueOf

    protected StorageMedium enumValueOf(String s)

  Specified by:
    `enumValueOf` in class `EventedValueEnum<StorageMedium>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.